Automation
Retry jobs by IDs or filter as a durable bulk operation.
Retry jobs by IDs or filter as a durable bulk operation. The request is scoped to the authenticated instance and enforces Automation roles and lifecycle state.
POST
/
api
/
v1
/
automation
/
jobs
/
bulk
/
retry
Retry jobs by IDs or filter as a durable bulk operation.
curl --request POST \
--url https://api.revoengine.com/api/v1/automation/jobs/bulk/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {},
"idempotencyKey": "<string>",
"jobIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {},
idempotencyKey: '<string>',
jobIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.revoengine.com/api/v1/automation/jobs/bulk/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/jobs/bulk/retry"
payload = {
"filter": {},
"idempotencyKey": "<string>",
"jobIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "jobs",
"action": "cancel",
"status": "PENDING",
"total": 123,
"processed": 123,
"skipped": 123,
"failed": 123
}Body
application/json
Response
202 - application/json
⌘I
Retry jobs by IDs or filter as a durable bulk operation.
curl --request POST \
--url https://api.revoengine.com/api/v1/automation/jobs/bulk/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {},
"idempotencyKey": "<string>",
"jobIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {},
idempotencyKey: '<string>',
jobIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.revoengine.com/api/v1/automation/jobs/bulk/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/jobs/bulk/retry"
payload = {
"filter": {},
"idempotencyKey": "<string>",
"jobIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "jobs",
"action": "cancel",
"status": "PENDING",
"total": 123,
"processed": 123,
"skipped": 123,
"failed": 123
}
